# BloccSpacc 

BloccSpacc is a portable isometric voxel sandbox game, mainly focused on building.

### Development status and compatibility note

The game is still in heavy development. Edges are rough, stuff might break from one day to the other, saved maps might not work across new versions, and support for different platforms might break between updates. Play at your own risk.

### Development status / roadmap:

- [x] Breaking/placing blocks
- [ ] View mode / Edit mode
- [x] Moving cursor in all 3 axis (camera needs a fix to keep the cursor centered when it moves on Y)
- [ ] Rotating view
- [ ] HUD for selected blocks, view options, ...
- [x] Inventory
- [ ] "Layer view" (showing and moving only on 2 axis at a time, hiding other layers) for complex buildings
- [ ] Saving+Loading maps
- [ ] Zooming in/out on the map
- [ ] Water+Lava physics
- [ ] Random terrain generation
- [ ] Lighting/shading (it's hard to see some blocks on different layers)
- [ ] Day/Night cycle
- [ ] Infinite maps (?)
- [ ] Sounds
- [ ] Screenshots
- [ ] Survival mode (?)
- [ ] Electrical circuits (?)
- [ ] Map compression/decompression
- [ ] Script for converting Minecraft worlds into our map format
- [ ] Fully optimized rendering
- [ ] Refined inputs
- [ ] Customize memory allocation
- [ ] Customize controls

### Current and planned platforms

_Note: This project, and its portability, depend on [LibMultiSpacc](https://gitlab.com/octospacc/LibMultiSpacc)._

- [x] Desktop GNU+Linux (main development platform)
- [x] Miyoo CFW Linux (tested on PocketGo)
- [ ] Android
- [ ] Win32 (Windows 95 and up)
- [ ] Nintendo GBA
- [ ] Symbian
